from setuptools import setup, find_namespace_packages

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(
    name='torchexplorer',
    version='0.0.1',
    description="Interactively inspect pytorch modules during training.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/spfrommer/torchexplorer",
    author="Samuel Pfrommer",
    author_email="sam.pfrommer@gmail.com",
    packages=find_namespace_packages(include=['torchexplorer.*']),
    install_requires=[
        'click',
        'colorama',
        'plotly',
        'tqdm',
        'pytest',
        'pygraphviz',
        'pyperclip',

        'torch',
        'torchvision',
        'lightning',

        'jaxtyping',
        'beartype',
        'einops',
        'wandb',

        'numpy',
        'scikit-learn',
        'flask'
    ])
